import 'package:flutter/material.dart';
import 'package:toast/toast.dart';

import '../../flutter_kz_library.dart';

class ToastHelper {
  void showToastError(
      {BuildContext context, toastGravity gravity, String message}) {
    Toast.show(message, context,
        duration: Toast.LENGTH_LONG,
        gravity: Statics.toastPosition(type: gravity),
        backgroundColor: Colors.red);
  }

  void showToastSuccess(
      {BuildContext context, toastGravity gravity, String message}) {
    Toast.show(message, context,
        duration: Toast.LENGTH_SHORT,
        gravity: Statics.toastPosition(type: gravity),
        backgroundColor: Colors.green);
  }

  void showToastInfo(
      {BuildContext context, toastGravity gravity, String message}) {
    Toast.show(message, context,
        duration: Toast.LENGTH_SHORT,
        gravity: Statics.toastPosition(type: gravity),
        backgroundColor: Colors.blue);
  }

  void showToastWarning(
      {BuildContext context, toastGravity gravity, String message}) {
    Toast.show(message, context,
        duration: Toast.LENGTH_SHORT,
        gravity: Statics.toastPosition(type: gravity),
        backgroundColor: Colors.orange);
  }
}
