import 'package:flutter_kz_library/src/reduxs/actions/TokenAction.dart';
import 'package:flutter_kz_library/src/reduxs/models/TokenState.dart';
import 'package:redux/redux.dart';

final tokenReducer = combineReducers<TokenState>([
  TypedReducer<TokenState, TokenAction>(_tokenStateUpdate)
]);

TokenState _tokenStateUpdate(TokenState state, TokenAction action) {
  return action.tokenState;
}